This file is part of MXE. See LICENSE.md for licensing information.

Contains ad hoc patches for cross building.

From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: Mark Brand <mabrand@mabrand.nl>
Date: Sat, 15 Dec 2018 16:51:30 +0100
Subject: [PATCH 1/2] more tolerant parsing for mingw in host triplet


diff --git a/src/mkheader.c b/src/mkheader.c
index 1111111..2222222 100644
--- a/src/mkheader.c
+++ b/src/mkheader.c
@@ -610,7 +610,7 @@ write_special (const char *fname, int lnr, const char *tag)
     }
   else if (!strcmp (tag, "include:os-add"))
     {
-      if (!strcmp (host_os, "mingw32"))
+      if (strstr (host_os, "mingw"))
         {
           include_file (fname, lnr, "w32-add.h", write_line);
         }

From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: Tony Theodore <tonyt@logyst.com>
Date: Wed, 6 Nov 2019 19:00:10 +1100
Subject: [PATCH 2/2] avoid whitespace in gpg-error.def linker script for
 mingw32

https://lists.gnupg.org/pipermail/gnupg-devel/2016-February/030798.html

diff --git a/src/gpg-error.def.in b/src/gpg-error.def.in
index 1111111..2222222 100644
--- a/src/gpg-error.def.in
+++ b/src/gpg-error.def.in
@@ -24,7 +24,6 @@
  */
 
 #include <config.h>
-
 EXPORTS
  gpg_strerror                 @1
  gpg_strerror_r               @2
